<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: erpc::Server Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_server.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classerpc_1_1_server-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpc::Server Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span><div class="ingroups"><a class="el" href="group__infra.html">Infrastructure</a> &raquo; <a class="el" href="group__infra__server.html">Server</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Based server functionality.  
 <a href="classerpc_1_1_server.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="server_8h_source.html">server.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for erpc::Server:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_server__inherit__graph.svg" width="142" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Collaboration diagram for erpc::Server:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_server__coll__graph.svg" width="684" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a76bd7ff4f0750a4dda8ac50eec545ae6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#a76bd7ff4f0750a4dda8ac50eec545ae6">Server</a> ()</td></tr>
<tr class="memdesc:a76bd7ff4f0750a4dda8ac50eec545ae6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a76bd7ff4f0750a4dda8ac50eec545ae6">More...</a><br /></td></tr>
<tr class="separator:a76bd7ff4f0750a4dda8ac50eec545ae6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5cee0a2e099df621576db4e82db4bc1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad5cee0a2e099df621576db4e82db4bc1"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#ad5cee0a2e099df621576db4e82db4bc1">~Server</a> ()</td></tr>
<tr class="memdesc:ad5cee0a2e099df621576db4e82db4bc1"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classerpc_1_1_client_manager.html" title="Base client implementation. ">ClientManager</a> destructor. <br /></td></tr>
<tr class="separator:ad5cee0a2e099df621576db4e82db4bc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea0bb0b2dc6f0e08bdca12f0fecf8af3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#aea0bb0b2dc6f0e08bdca12f0fecf8af3">setMessageBufferFactory</a> (<a class="el" href="classerpc_1_1_message_buffer_factory.html">MessageBufferFactory</a> *factory)</td></tr>
<tr class="memdesc:aea0bb0b2dc6f0e08bdca12f0fecf8af3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set <a class="el" href="classerpc_1_1_message_buffer_factory.html" title="Abstract interface for message buffer factory. ">MessageBufferFactory</a> to use.  <a href="#aea0bb0b2dc6f0e08bdca12f0fecf8af3">More...</a><br /></td></tr>
<tr class="separator:aea0bb0b2dc6f0e08bdca12f0fecf8af3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10343432a08dc5f419d513690ff17bad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#a10343432a08dc5f419d513690ff17bad">setCodecFactory</a> (<a class="el" href="classerpc_1_1_codec_factory.html">CodecFactory</a> *factory)</td></tr>
<tr class="memdesc:a10343432a08dc5f419d513690ff17bad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set <a class="el" href="classerpc_1_1_codec_factory.html" title="Abstract interface for codec factory. ">CodecFactory</a> to use.  <a href="#a10343432a08dc5f419d513690ff17bad">More...</a><br /></td></tr>
<tr class="separator:a10343432a08dc5f419d513690ff17bad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51eff77c9e51f4a95264b674ffb45ead"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#a51eff77c9e51f4a95264b674ffb45ead">setTransport</a> (<a class="el" href="classerpc_1_1_transport.html">Transport</a> *transport)</td></tr>
<tr class="memdesc:a51eff77c9e51f4a95264b674ffb45ead"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets transport layer to use.  <a href="#a51eff77c9e51f4a95264b674ffb45ead">More...</a><br /></td></tr>
<tr class="separator:a51eff77c9e51f4a95264b674ffb45ead"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06481a55e8b2f7fafe264a6071ce5dcb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#a06481a55e8b2f7fafe264a6071ce5dcb">addService</a> (<a class="el" href="classerpc_1_1_service.html">Service</a> *service)</td></tr>
<tr class="memdesc:a06481a55e8b2f7fafe264a6071ce5dcb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add service.  <a href="#a06481a55e8b2f7fafe264a6071ce5dcb">More...</a><br /></td></tr>
<tr class="separator:a06481a55e8b2f7fafe264a6071ce5dcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf1f88034b1868c865287d6aaa3c93c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf1f88034b1868c865287d6aaa3c93c9"></a>
virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#abf1f88034b1868c865287d6aaa3c93c9">run</a> ()=0</td></tr>
<tr class="memdesc:abf1f88034b1868c865287d6aaa3c93c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function runs the server. <br /></td></tr>
<tr class="separator:abf1f88034b1868c865287d6aaa3c93c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9de6b97cc002e5924dc3ce43c1881afe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9de6b97cc002e5924dc3ce43c1881afe"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#a9de6b97cc002e5924dc3ce43c1881afe">stop</a> ()=0</td></tr>
<tr class="memdesc:a9de6b97cc002e5924dc3ce43c1881afe"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop the server. <br /></td></tr>
<tr class="separator:a9de6b97cc002e5924dc3ce43c1881afe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a138efbe02f15842f9fbd312c983834a8"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#a138efbe02f15842f9fbd312c983834a8">processMessage</a> (<a class="el" href="classerpc_1_1_codec.html">Codec</a> *codec, <a class="el" href="codec_8h.html#a7116f64fb1351d72417155cfed485478">message_type_t</a> &amp;msgType)</td></tr>
<tr class="memdesc:a138efbe02f15842f9fbd312c983834a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process message.  <a href="#a138efbe02f15842f9fbd312c983834a8">More...</a><br /></td></tr>
<tr class="separator:a138efbe02f15842f9fbd312c983834a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad540500b809953e45bc0bbd72d305148"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classerpc_1_1_service.html">Service</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#ad540500b809953e45bc0bbd72d305148">findServiceWithId</a> (uint32_t serviceId)</td></tr>
<tr class="memdesc:ad540500b809953e45bc0bbd72d305148"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function finds service base on service ID.  <a href="#ad540500b809953e45bc0bbd72d305148">More...</a><br /></td></tr>
<tr class="separator:ad540500b809953e45bc0bbd72d305148"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a88758b33245c202377bd5fc83b1fed75"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpc_1_1_message_buffer_factory.html">MessageBufferFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#a88758b33245c202377bd5fc83b1fed75">m_messageFactory</a></td></tr>
<tr class="separator:a88758b33245c202377bd5fc83b1fed75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff81e28843ef0c2592fb281379cc8a10"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpc_1_1_codec_factory.html">CodecFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#aff81e28843ef0c2592fb281379cc8a10">m_codecFactory</a></td></tr>
<tr class="separator:aff81e28843ef0c2592fb281379cc8a10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a878ae2656b002af6f9299faa5b9b975a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpc_1_1_transport.html">Transport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#a878ae2656b002af6f9299faa5b9b975a">m_transport</a></td></tr>
<tr class="separator:a878ae2656b002af6f9299faa5b9b975a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a758abab3fa00e692cbfde60f45eb6939"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpc_1_1_service.html">Service</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_server.html#a758abab3fa00e692cbfde60f45eb6939">m_firstService</a></td></tr>
<tr class="separator:a758abab3fa00e692cbfde60f45eb6939"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Based server functionality. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a76bd7ff4f0750a4dda8ac50eec545ae6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpc::Server::Server </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function initializes object atributes. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aea0bb0b2dc6f0e08bdca12f0fecf8af3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpc::Server::setMessageBufferFactory </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_message_buffer_factory.html">MessageBufferFactory</a> *&#160;</td>
          <td class="paramname"><em>factory</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set <a class="el" href="classerpc_1_1_message_buffer_factory.html" title="Abstract interface for message buffer factory. ">MessageBufferFactory</a> to use. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">factory</td><td><a class="el" href="classerpc_1_1_message_buffer_factory.html" title="Abstract interface for message buffer factory. ">MessageBufferFactory</a> to use. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a10343432a08dc5f419d513690ff17bad"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpc::Server::setCodecFactory </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_codec_factory.html">CodecFactory</a> *&#160;</td>
          <td class="paramname"><em>factory</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set <a class="el" href="classerpc_1_1_codec_factory.html" title="Abstract interface for codec factory. ">CodecFactory</a> to use. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">factory</td><td><a class="el" href="classerpc_1_1_codec_factory.html" title="Abstract interface for codec factory. ">CodecFactory</a> to use. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a51eff77c9e51f4a95264b674ffb45ead"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Server::setTransport </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_transport.html">Transport</a> *&#160;</td>
          <td class="paramname"><em>transport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sets transport layer to use. </p>
<p>It also set messageBufferFactory to the same as in transport layer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">transport</td><td><a class="el" href="classerpc_1_1_transport.html" title="Abstract interface for transport layer. ">Transport</a> layer to use. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a06481a55e8b2f7fafe264a6071ce5dcb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Server::addService </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_service.html">Service</a> *&#160;</td>
          <td class="paramname"><em>service</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add service. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">service</td><td><a class="el" href="classerpc_1_1_service.html" title="Abstract interface for service, which can be executed on server side. ">Service</a> to use. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a138efbe02f15842f9fbd312c983834a8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> Server::processMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_codec.html">Codec</a> *&#160;</td>
          <td class="paramname"><em>codec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="codec_8h.html#a7116f64fb1351d72417155cfed485478">message_type_t</a> &amp;&#160;</td>
          <td class="paramname"><em>msgType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Process message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inCodec</td><td>Inout codec to use. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">msgType</td><td>Type of received message. Based on message type will be (will be not) sent respond.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752aad3aa76a604b7bd6c3828c50b33dca33" title="No error occurred. ">kErpcStatus_Success</a>, <a class="el" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a3d0a3bb3b575e8c00170e331283e7635" title="Argument is an invalid value. ">kErpcStatus_InvalidArgument</a> or based on codec startReadMessage, or based on service handleInvocation. </dd></dl>

</div>
</div>
<a class="anchor" id="ad540500b809953e45bc0bbd72d305148"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpc_1_1_service.html">Service</a> * Server::findServiceWithId </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>serviceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function finds service base on service ID. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">serviceId</td><td><a class="el" href="classerpc_1_1_service.html" title="Abstract interface for service, which can be executed on server side. ">Service</a> id number.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Pointer to service or NULL. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a88758b33245c202377bd5fc83b1fed75"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpc_1_1_message_buffer_factory.html">MessageBufferFactory</a>* erpc::Server::m_messageFactory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Contains <a class="el" href="classerpc_1_1_message_buffer_factory.html" title="Abstract interface for message buffer factory. ">MessageBufferFactory</a> to use. </p>

</div>
</div>
<a class="anchor" id="aff81e28843ef0c2592fb281379cc8a10"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpc_1_1_codec_factory.html">CodecFactory</a>* erpc::Server::m_codecFactory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Contains <a class="el" href="classerpc_1_1_codec_factory.html" title="Abstract interface for codec factory. ">CodecFactory</a> to use. </p>

</div>
</div>
<a class="anchor" id="a878ae2656b002af6f9299faa5b9b975a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpc_1_1_transport.html">Transport</a>* erpc::Server::m_transport</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><a class="el" href="classerpc_1_1_transport.html" title="Abstract interface for transport layer. ">Transport</a> layer used to send and receive data. </p>

</div>
</div>
<a class="anchor" id="a758abab3fa00e692cbfde60f45eb6939"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpc_1_1_service.html">Service</a>* erpc::Server::m_firstService</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Contains pointer to first service. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="server_8h_source.html">server.h</a></li>
<li>server.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
